Name:           sqljet
Version:        1.1.10
Release:        %mkrel 12
Summary:        Pure Java SQLite

Group:          Development/Java
License:        GPLv2
URL:            http://sqljet.com/
Source0:        http://sqljet.com/files/%{name}-%{version}-src.zip

Source4:        %{name}-build.xml
Source5:        %{name}-pom.xml

BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  antlr
BuildRequires:  antlr3-java
BuildRequires:  antlr3-tool
BuildRequires:  easymock3
BuildRequires:  java-devel
BuildRequires:  junit
BuildRequires:  stringtemplate4
BuildRequires:  hamcrest
Requires:       antlr3-java
BuildArch: noarch

# subpackage dropped in F23
Obsoletes:      sqljet-browser < 1.1.10-5

%description
SQLJet is an independent pure Java implementation of a popular SQLite database
management system. SQLJet is a software library that provides API that enables
Java application to read and modify SQLite databases.

%package        javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description    javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}

find \( -name '*.class' -o -name '*.jar' \) -delete

rm -rf gradlew.bat gradlew gradle

cp %{SOURCE4} build.xml

cat > sqljet.build.properties <<EOF
sqljet.version.major=1
sqljet.version.minor=1
sqljet.version.micro=10
sqljet.version.build=local

antlr.version=3.4
sqlite.version=3.8.3
EOF


%build
export CLASSPATH=$(build-classpath antlr3-runtime antlr3 antlr stringtemplate4 easymock3 junit hamcrest)

ant jars osgi javadoc


%install
# jars
mkdir -p %{buildroot}%{_javadir}
install -m 755  build/sqljet.jar %{buildroot}%{_javadir}/%{name}.jar

# maven metadata
cp %{SOURCE5} pom.xml
ant pom
mkdir -p %{buildroot}%{_mavenpomdir}
cp pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadocs
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/javadoc %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc LICENSE.txt README.txt CHANGES.txt

%files javadoc
%doc LICENSE.txt
%doc %{_javadocdir}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.10-12.mga8
+ Revision: 1508152
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.1.10-11.mga7
+ Revision: 1291670
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 daviddavid <daviddavid> 1.1.10-10.mga7
+ Revision: 1162616
- add missing BR on javapackages-local to fix build

* Mon May 29 2017 neoclust <neoclust> 1.1.10-9.mga6
+ Revision: 1105471
- Fix Buildrequires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.1.10-7.mga6
+ Revision: 978183
- First rebuild of the java stack
- sync package sqljet with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Jan 11 2015 daviddavid <daviddavid> 1.1.10-1.mga5
+ Revision: 809924
- Sync with fc21 (update to 1.1.10)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.7-3.mga5
+ Revision: 741611
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.7-2.mga5
+ Revision: 689305
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 1.1.7-1.mga4
+ Revision: 565006
- New version

* Fri Oct 18 2013 umeabot <umeabot> 1.1.4-5.mga4
+ Revision: 518666
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.4-4.mga3
+ Revision: 382578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 dmorgan <dmorgan> 1.1.4-3.mga3
+ Revision: 337432
- New version

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0.4-5.mga1
+ Revision: 93144
- Rebuild after bootstrapping
- imported package sqljet


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0.4-1
- Update to new upstream version.

* Tue Dec 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.3-4
- Fix versions in pom.xml file causing parsing problems

* Tue Dec 14 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.3-3
- Versionless jars
- Changes accroding to new guidelines (no buildroot/clean section)
- Add license to javadoc subpackage
- Install maven metadata

* Sat Aug 28 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.3-2
- Fix build with latest netbeans.
- Fix sqljet-browser run script.

* Tue May 18 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.3-1
- New version.

* Wed Apr 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-3
- Fix build with new antlr3.
- Fix startup script for the browser.
- Add missing semicolon in the desktop file.

* Mon Feb 15 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-2
- Rebuild for netbeans-platform update. (rhbz#564657)

* Thu Jan 14 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-1
- Update to 1.0.2.

* Thu Dec 3 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-3
- Require antlr3.

* Mon Nov 30 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-2
- Fix build and review comments.

* Thu Nov 26 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-1
- Initial package.
